package com.example.blum.profratingbar;

import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.RatingBar;
import android.widget.TextView;

public class MainActivity extends AppCompatActivity {

    int CAT_NUM =4;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);


        Button btnAverage = (Button) findViewById(R.id.btnAverage);
        final TextView tvAverage = (TextView) findViewById(R.id.tvAverage);

        btnAverage.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                Double ave =0.0;
                for(int i=0; i<CAT_NUM; i++){
                    String myID = "rb_" + i;
                    int resID = getResources().getIdentifier(myID, "id", getPackageName());
                    RatingBar myRatingbar = (RatingBar) findViewById(resID);
                    ave +=myRatingbar.getRating();
                }
                ave = ave/CAT_NUM;
                tvAverage.setText(String.format("%.2f", ave));
            }//end onClick
        });//end setOnClickListener

        for(int i=0; i<CAT_NUM; i++) {
            String myID = "rb_" + i;

            int resID = getResources().getIdentifier(myID, "id", getPackageName());
            RatingBar myRatingbar = (RatingBar) findViewById(resID);
            myRatingbar.setOnRatingBarChangeListener(new RatingBar.OnRatingBarChangeListener() {
                @Override
                public void onRatingChanged(RatingBar ratingBar, float v, boolean b) {
                    tvAverage.setText("-------");
                }
            });
        }
    }//end onCreate



}//end MainActivity
